// Boot.h: interface for the CBoot class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_BOOT_H__12CE5161_984A_11D4_B8C4_E89EE5764F5C__INCLUDED_)
#define AFX_BOOT_H__12CE5161_984A_11D4_B8C4_E89EE5764F5C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


/* This class is used by an installation wizard I wrote
and some other misellaneous objects */
class CBoot  
{
public:
	// show warning (or else silent)
	static BOOL Logoff(BOOL bEmergency=FALSE,BOOL bShowWarning=FALSE);
	static BOOL Poweroff(BOOL bEmergency=FALSE,BOOL bShowWarning=FALSE);
	static BOOL Reboot(BOOL bEmergency=FALSE,BOOL bShowWarning=FALSE);
	static BOOL Shutdown(BOOL bEmergency=FALSE,BOOL bShowWarning=FALSE);

	// modify this function to provide non default behaviour to the warning
	static int Warning() {
		int nResult = ::MessageBox(::GetDesktopWindow(),_T("Are you sure you want to proceed?"),
			_T("Start boot process..."),MB_YESNO|MB_ICONWARNING);
		//in case of insufficient memory to show warning
		return (nResult==0) ? IDNO : nResult;
	}

protected:
	static BOOL Boot(UINT uFlags,BOOL bEmergency=FALSE,BOOL bShowWarning=FALSE);
	CBoot();
	virtual ~CBoot();
};

#endif // !defined(AFX_BOOT_H__12CE5161_984A_11D4_B8C4_E89EE5764F5C__INCLUDED_)
